package de.wwwu.awolf.model.evaluation;

import de.wwwu.awolf.model.Line;
import de.wwwu.awolf.presenter.algorithms.Algorithm;

import java.util.EnumMap;
import java.util.Map;

public class ComparisonResult {

    private final Map<Algorithm.Type, Line> resultMapping;

    public ComparisonResult() {
        this.resultMapping = new EnumMap<>(Algorithm.Type.class);
    }

    public void put(final Algorithm.Type type, final Line lineResult) {
        this.resultMapping.put(type, lineResult);
    }

    public Line get(final Algorithm.Type type) {
        return this.resultMapping.get(type);
    }

}
